import { AfterViewInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { MatTabLink } from '@angular/material/tabs';
import * as i0 from "@angular/core";
export declare class NavbarDesignDirective implements OnInit, AfterViewInit {
    private readonly elementRef;
    private readonly renderer;
    selectedElement: MatTabLink;
    constructor(elementRef: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    applyMargin(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavbarDesignDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NavbarDesignDirective, "[micNavbarDesign]", never, { "selectedElement": { "alias": "selectedElement"; "required": false; }; }, {}, never, never, false, never>;
}
